## mx4j.tools.adaptor.interceptor
Class Invocation

    java.lang.Object
      mx4j.tools.adaptor.interceptor.Invocation

All Implemented Interfaces:
  java.io.Serializable

public class Invocation
extends java.lang.Object
implements java.io.Serializable

The invocation information carrier.

Version:
  $Revision: 1.3 $
See Also:
  Serialized Form

Field Summary
`static java.lang.String` `CLASSLOADER_LOADER`
`static java.lang.String` `CLASSLOADER_MBEAN`
`static java.lang.String` `CLASSLOADER_MBEANSERVER`
`static java.lang.String` `CLASSLOADER_REPOSITORY`

Constructor Summary
`Invocation()`

Method Summary
`java.lang.Object[]` `getArguments()` Returns the invocation method arguments
`java.lang.String` `getClassLoaderKey()` Returns the key used to identify the classloader to be used as context classloader
`InvocationContext` `getInvocationContext()` Returns the invocation user-defined information
`java.lang.String` `getMethodName()` Returns the invocation method name
`javax.management.ObjectName` `getObjectNameForClassLoader()` Returns the object name to be used to retrieve the classloader used as context classloader
`java.lang.String[]` `getSignature()` Returns the invocation method signature
`void` `setArguments(java.lang.Object[] args)` Sets the arguments of the method to be invoked on the server-side
`void` `setClassLoaderKey(java.lang.String key)` Sets the key used to identify the classloader to be used as context classloader
`void` `setInvocationContext(InvocationContext context)` Sets the invocation user-defined information
`void` `setMethodName(java.lang.String name)` Sets the method name to be invoked on the server-side
`void` `setObjectNameForClassLoader(javax.management.ObjectName name)` Sets the object name to be used to retrieve the classloader used as context classloader
`void` `setSignature(java.lang.String[] signature)` Sets the signature of the method to be invoked on the server-side

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLASSLOADER_MBEANSERVER

    public static final java.lang.String CLASSLOADER_MBEANSERVER

See Also:
  Constant Field Values

### CLASSLOADER_REPOSITORY

    public static final java.lang.String CLASSLOADER_REPOSITORY

See Also:
  Constant Field Values

### CLASSLOADER_LOADER

    public static final java.lang.String CLASSLOADER_LOADER

See Also:
  Constant Field Values

### CLASSLOADER_MBEAN

    public static final java.lang.String CLASSLOADER_MBEAN

See Also:
  Constant Field Values

Constructor Detail

### Invocation

    public Invocation()

Method Detail

### getClassLoaderKey

    public java.lang.String getClassLoaderKey()

  Returns the key used to identify the classloader to be used as context classloader

  See Also:
    `setClassLoaderKey(java.lang.String)`

### setClassLoaderKey

    public void setClassLoaderKey(java.lang.String key)

  Sets the key used to identify the classloader to be used as context classloader

  See Also:
    `getClassLoaderKey()`

### setObjectNameForClassLoader

    public void setObjectNameForClassLoader(javax.management.ObjectName name)

  Sets the object name to be used to retrieve the classloader used as context classloader

  See Also:
    `getObjectNameForClassLoader()`

### getObjectNameForClassLoader

    public javax.management.ObjectName getObjectNameForClassLoader()

  Returns the object name to be used to retrieve the classloader used as context classloader

  See Also:
    `setObjectNameForClassLoader(javax.management.ObjectName)`

### setMethodName

    public void setMethodName(java.lang.String name)

  Sets the method name to be invoked on the server-side

  See Also:
    `setSignature(java.lang.String[])`

### setSignature

    public void setSignature(java.lang.String[] signature)

  Sets the signature of the method to be invoked on the server-side

  See Also:
    `setArguments(java.lang.Object[])`

### setArguments

    public void setArguments(java.lang.Object[] args)

  Sets the arguments of the method to be invoked on the server-side

  See Also:
    `setMethodName(java.lang.String)`

### setInvocationContext

    public void setInvocationContext(InvocationContext context)

  Sets the invocation user-defined information

  See Also:
    `getInvocationContext()`

### getInvocationContext

    public InvocationContext getInvocationContext()

  Returns the invocation user-defined information

  See Also:
    `setInvocationContext(mx4j.tools.adaptor.interceptor.InvocationContext)`

### getMethodName

    public java.lang.String getMethodName()

  Returns the invocation method name

### getArguments

    public java.lang.Object[] getArguments()

  Returns the invocation method arguments

### getSignature

    public java.lang.String[] getSignature()

  Returns the invocation method signature

Copyright © 2001-2003 MX4J Team. All Rights Reserved.